> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Citation history for a cited URL



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json get /v1/reports/brand/{reportId}/citations/history
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Tags
  - name: Prompts
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/reports/brand/{reportId}/citations/history:
    get:
      tags:
        - Brand Reports
      summary: Citation history for a cited URL
      parameters:
        - schema:
            type: string
            minLength: 1
            example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            description: Brand report identifier.
          required: true
          description: Brand report identifier.
          name: reportId
          in: path
        - schema:
            type: string
            minLength: 1
            description: Cited URL to fetch the citation history for. URL-encoded.
            example: https://example.com/guides/best-flat-feet-running-shoes
          required: true
          description: Cited URL to fetch the citation history for. URL-encoded.
          name: url
          in: query
        - schema:
            type: string
            minLength: 1
            description: Start date for the lookup window (inclusive).
            example: '2025-01-01'
          required: true
          description: Start date for the lookup window (inclusive).
          name: startDate
          in: query
        - schema:
            type: string
            minLength: 1
            description: End date for the lookup window (inclusive).
            example: '2025-01-31'
          required: true
          description: End date for the lookup window (inclusive).
          name: endDate
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Country code to filter by. Lowercase ISO 3166-1 alpha-2; use `uk`
              for the United Kingdom.
            example: us
          required: true
          description: >-
            Country code to filter by. Lowercase ISO 3166-1 alpha-2; use `uk`
            for the United Kingdom.
          name: country
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - chatgpt
                  - google
                  - perplexity
                  - copilot
                  - google_ai_mode
                  - gemini
                  - claude
                description: AI engine identifier.
                example: chatgpt
              - type: array
                items:
                  type: string
                  enum:
                    - chatgpt
                    - google
                    - perplexity
                    - copilot
                    - google_ai_mode
                    - gemini
                    - claude
                  description: AI engine identifier.
                  example: chatgpt
            description: >-
              Optional. AI engine(s) to filter by. Repeat the param or pass a
              single value.
          required: false
          description: >-
            Optional. AI engine(s) to filter by. Repeat the param or pass a
            single value.
          name: engines
          in: query
        - schema:
            type: string
            description: Optional. Filter the citation history by tag id.
          required: false
          description: Optional. Filter the citation history by tag id.
          name: tagId
          in: query
      responses:
        '200':
          description: >-
            Citation totals (current vs previous period) and daily history for
            the given URL.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiBrandReportCitationsHistory'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '404':
          description: Report not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiBrandReportCitationsHistory:
      type: object
      properties:
        totalPeriodCitations:
          type: number
          description: Total citations for the URL across the window.
        totalCitationsPreviousPeriod:
          type: number
          description: >-
            Total citations for the URL across the immediately-preceding window
            of equal length.
        percentageChange:
          type: number
          description: >-
            Percentage change vs the previous period (rounded to one decimal).
            +100 when growing from zero.
        citationsHistory:
          type: array
          items:
            type: object
            properties:
              date:
                type: string
                description: Day of the data point, formatted as YYYY-MM-DD.
              totalCitations:
                type: number
                description: Total citations for the URL on this date.
              citationsByEngine:
                type: array
                items:
                  type: object
                  properties:
                    engine:
                      type: string
                      description: AI engine the citations were collected from.
                    citations:
                      type: number
                      description: Number of citations from this engine on the given date.
                  required:
                    - engine
                    - citations
            required:
              - date
              - totalCitations
              - citationsByEngine
      required:
        - totalPeriodCitations
        - totalCitationsPreviousPeriod
        - percentageChange
        - citationsHistory
      example:
        totalPeriodCitations: 142
        totalCitationsPreviousPeriod: 118
        percentageChange: 20.3
        citationsHistory:
          - date: '2025-01-01'
            totalCitations: 9
            citationsByEngine:
              - engine: chatgpt
                citations: 4
              - engine: perplexity
                citations: 5
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````